Installing multiple php versions on debian giving errors

Discussion in 'Installation/Configuration' started by onlinewebs, Apr 6, 2014.

  1. onlinewebs

    onlinewebs New Member

    I am trying to install multiple versions of php on ispconfig3 debian server using the tutorial at

    While downloading the related file to the directory and running the command "tar jxf php-5.3.22.tar.bz2" as root user, I am getting the following error

    bzip2: (stdin) is not a bzip2 file.
    tar: Child returned status 2
    tar: Error is not recoverable: exiting now

    Any help pls?
  2. Rashef

    Rashef New Member

    Version 5.3.22 is no longer available at the link included in the tutorial, thus wget is creating an empty file. The latest available version of PHP 5.3 is 5.3.28. I am not sure changing just the version number in the link is enough, you might want to try it first in a browser.

  3. srijan

    srijan New Member HowtoForge Supporter

    The previous specified files are removed from the server, You can use other version. Open the link in browser & select the required version as per your requirement.
    You can download PHP 5.5.11 as

    PHP 5.4.27 as

    PHP 5.3.28 as follows:-
  4. onlinewebs

    onlinewebs New Member

    Thanks, guys... it worked.

Share This Page